Bug 1728676 - new input in report template, where value type is equal to search should allow user to choose Resource Type
Summary: new input in report template, where value type is equal to search should allo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Ondřej Ezr
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 12:18 UTC by tstrych
Modified: 2019-10-22 19:48 UTC (History)
5 users (show)

Fixed In Version: foreman-1.22.0.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:48:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github theforeman/foreman/commit/6305311e24f951ea6c5fab0d4325dfa0b14ccea9 None None None 2019-08-07 15:24:58 UTC
Foreman Issue Tracker 27528 None None None 2019-08-06 14:24:32 UTC

Description tstrych 2019-07-10 12:18:33 UTC
Description of problem:
When you create or edit Report Template, there is no Resource type in new input (inputs tab), when value type is selected to search. Resource type is shown only after user action, for example submit.

Version-Release number of selected component (if applicable):
This was found on sat 6.6 snap 7.

How reproducible:
Always

Steps to Reproduce:
1. Create or Edit Report Template
2. Open Inputs tab, click on Add input, 
3. Change Value Type from Plain to Search

Actual results:
After value type is equal to Search, there is no line with Resource Type to choose.
When steps are done and user make an action (for example user submits Report Template), then resource type is visible. 

Expected results:
Resource type should be visible immediately after value type is set to search.

Comment 6 Ondřej Ezr 2019-08-06 14:24:30 UTC
Created redmine issue https://projects.theforeman.org/issues/27528 from this bug

Comment 8 Bryan Kearney 2019-08-06 16:01:00 UTC
Upstream bug assigned to oezr@redhat.com

Comment 9 Bryan Kearney 2019-08-06 16:01:02 UTC
Upstream bug assigned to oezr@redhat.com

Comment 10 Bryan Kearney 2019-08-07 12:00:53 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27528 has been resolved.

Comment 12 tstrych 2019-08-19 11:00:52 UTC
The previous problem seems to be solved, but there is another one unsolved problem, connected with this bug. 

1. monitor -> report template -> create report template
2. inputs (tab) -> value type == Search
3. Add another input (button Add input) and there is automatically Value type Plain together with Resource Type - Activation Keys (which is wrong) 

For Value type == Plain there should be field Options and not Resource Type. 

Actual result: When user add another input, right after previous input where value type was equal to Search, then for Value type Plain there is still field Resource type.

Expected result: When user add another input, right after previous input where value type was equal to Search, then Value type Plain should display field with name Options instead of Resource type. 

I hope it is okay to solve as one BZ instead of two.

Comment 13 Evgeni Golov 2019-08-19 13:05:34 UTC
did you mean to move the BZ to ASSIGNED/FailedQA? ON_DEV has a special meaning in Satellite6: https://ohsnap-satellite6.int.open.paas.redhat.com/docs/bugzilla

Comment 14 Ondřej Ezr 2019-08-20 01:06:46 UTC
It would be ok by me, but upstream I will create separate bug and there is going to be another PR, maybe would be more readable to have another BZ as well.

Comment 15 tstrych 2019-08-20 07:47:37 UTC
Thank you Evgeni for link, yea I should use FailedQA. Yea you are right Ondrej, for better readability I just create separate bug - Bug 1743525.
As this is not a blocker bug for the next one, this is verified.

Comment 16 Bryan Kearney 2019-10-22 19:48:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.